Package org.jboss.resteasy.specimpl

## Class RequestImpl

- java.lang.Object
- - org.jboss.resteasy.specimpl.RequestImpl

- All Implemented Interfaces:
    `javax.ws.rs.core.Request`

      public class RequestImpl
      extends Object
      implements javax.ws.rs.core.Request

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestImpl​(HttpRequest request, HttpResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<javax.ws.rs.core.EntityTag>` | `convertEtag​(List<String> tags)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `evaluatePreconditions()` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `evaluatePreconditions​(Date lastModified)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `evaluatePreconditions​(Date lastModified, javax.ws.rs.core.EntityTag eTag)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `evaluatePreconditions​(javax.ws.rs.core.EntityTag eTag)` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getFormParameters()` |
    `String` | `getMethod()` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `ifMatch​(List<javax.ws.rs.core.EntityTag> ifMatch, javax.ws.rs.core.EntityTag eTag)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `ifModifiedSince​(String strDate, Date lastModified)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `ifNoneMatch​(List<javax.ws.rs.core.EntityTag> ifMatch, javax.ws.rs.core.EntityTag eTag)` |
    `javax.ws.rs.core.Response.ResponseBuilder` | `ifUnmodifiedSince​(String strDate, Date lastModified)` |
    `javax.ws.rs.core.Variant` | `selectVariant​(List<javax.ws.rs.core.Variant> variants)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestImpl

          public RequestImpl​(HttpRequest request,
                             HttpResponse response)

  - ### Method Detail

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `javax.ws.rs.core.Request`

    - #### getFormParameters

          public javax.ws.rs.core.MultivaluedMap<String,​String> getFormParameters()

    - #### selectVariant

          public javax.ws.rs.core.Variant selectVariant​(List<javax.ws.rs.core.Variant> variants)
                                                 throws IllegalArgumentException

      Specified by:
        `selectVariant` in interface `javax.ws.rs.core.Request`
      Throws:
        `IllegalArgumentException`

    - #### convertEtag

          public List<javax.ws.rs.core.EntityTag> convertEtag​(List<String> tags)

    - #### ifMatch

          public javax.ws.rs.core.Response.ResponseBuilder ifMatch​(List<javax.ws.rs.core.EntityTag> ifMatch,
                                                                   javax.ws.rs.core.EntityTag eTag)

    - #### ifNoneMatch

          public javax.ws.rs.core.Response.ResponseBuilder ifNoneMatch​(List<javax.ws.rs.core.EntityTag> ifMatch,
                                                                       javax.ws.rs.core.EntityTag eTag)

    - #### evaluatePreconditions

          public javax.ws.rs.core.Response.ResponseBuilder evaluatePreconditions​(javax.ws.rs.core.EntityTag eTag)

      Specified by:
        `evaluatePreconditions` in interface `javax.ws.rs.core.Request`

    - #### ifModifiedSince

          public javax.ws.rs.core.Response.ResponseBuilder ifModifiedSince​(String strDate,
                                                                           Date lastModified)

    - #### ifUnmodifiedSince

          public javax.ws.rs.core.Response.ResponseBuilder ifUnmodifiedSince​(String strDate,
                                                                             Date lastModified)

    - #### evaluatePreconditions

          public javax.ws.rs.core.Response.ResponseBuilder evaluatePreconditions​(Date lastModified)

      Specified by:
        `evaluatePreconditions` in interface `javax.ws.rs.core.Request`

    - #### evaluatePreconditions

          public javax.ws.rs.core.Response.ResponseBuilder evaluatePreconditions​(Date lastModified,
                                                                                 javax.ws.rs.core.EntityTag eTag)

      Specified by:
        `evaluatePreconditions` in interface `javax.ws.rs.core.Request`

    - #### evaluatePreconditions

          public javax.ws.rs.core.Response.ResponseBuilder evaluatePreconditions()

      Specified by:
        `evaluatePreconditions` in interface `javax.ws.rs.core.Request`